Loading...
Searching...
No Matches
pcl::PrincipalCurvatures Struct Reference
Module common

A point structure representing the principal curvatures and their magnitudes. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | PrincipalCurvatures ()
constexpr | PrincipalCurvatures (float _pc1, float _pc2)
constexpr | PrincipalCurvatures (float _x, float _y, float _z)
constexpr | PrincipalCurvatures (float _x, float _y, float _z, float _pc1, float _pc2)

## Public Attributes

union { |
float principal_curvature [3] |
struct { |
float principal_curvature_x |
float principal_curvature_y |
float principal_curvature_z |
} |
}; |
float | pc1 = 0.f
float | pc2 = 0.f

## Friends

std::ostream & | operator<< (std::ostream &os, const PrincipalCurvatures &p)

## Detailed Description

A point structure representing the principal curvatures and their magnitudes.

Definition at line 1158 of file point_types.hpp.

## Constructor & Destructor Documentation

## PrincipalCurvatures() [1/4]

pcl::PrincipalCurvatures::PrincipalCurvatures | ( |  | ) |

inline constexpr

Definition at line 1173 of file point_types.hpp.

References PrincipalCurvatures().

Referenced by operator<<, PrincipalCurvatures(), PrincipalCurvatures(), and PrincipalCurvatures().

## PrincipalCurvatures() [2/4]

pcl::PrincipalCurvatures::PrincipalCurvatures | ( | float | _pc1,
|  | float | _pc2 )

inline constexpr

Definition at line 1175 of file point_types.hpp.

References PrincipalCurvatures().

## PrincipalCurvatures() [3/4]

pcl::PrincipalCurvatures::PrincipalCurvatures | ( | float | _x,
|  | float | _y,
|  | float | _z )

inline constexpr

Definition at line 1177 of file point_types.hpp.

References PrincipalCurvatures().

## PrincipalCurvatures() [4/4]

pcl::PrincipalCurvatures::PrincipalCurvatures | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _pc1,
|  | float | _pc2 )

inline constexpr

Definition at line 1179 of file point_types.hpp.

References pc1, pc2, principal_curvature_x, principal_curvature_y, and principal_curvature_z.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PrincipalCurvatures & | p )

friend

References PrincipalCurvatures().

## Member Data Documentation

## [union]

union { ... } pcl::PrincipalCurvatures

## pc1

float pcl::PrincipalCurvatures::pc1 = 0.f

Definition at line 1170 of file point_types.hpp.

Referenced by PrincipalCurvatures().

## pc2

float pcl::PrincipalCurvatures::pc2 = 0.f

Definition at line 1171 of file point_types.hpp.

Referenced by PrincipalCurvatures().

## principal_curvature

float pcl::PrincipalCurvatures::principal_curvature[3]

Definition at line 1162 of file point_types.hpp.

## principal_curvature_x

float pcl::PrincipalCurvatures::principal_curvature_x

Definition at line 1165 of file point_types.hpp.

Referenced by PrincipalCurvatures().

## principal_curvature_y

float pcl::PrincipalCurvatures::principal_curvature_y

Definition at line 1166 of file point_types.hpp.

Referenced by PrincipalCurvatures().

## principal_curvature_z

float pcl::PrincipalCurvatures::principal_curvature_z

Definition at line 1167 of file point_types.hpp.

Referenced by PrincipalCurvatures().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp